## opencpn-plugin-iacfleet 0.20

=== CMakeLists.txt ===
##---------------------------------------------------------------------------
## Author:      Pavel Kalian
## Copyright:   2014
## License:     GPLv2 License
##---------------------------------------------------------------------------

# define minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)

PROJECT(iacfleet_pi)

SET(PACKAGE_NAME iacfleet_pi)
SET(VERBOSE_NAME IACFleet)
SET(TITLE_NAME IACFleet)
SET(CPACK_PACKAGE_CONTACT "Pavel Kalian")

SET(VERSION_MAJOR "0")
SET(VERSION_MINOR "21")

SET(NAME_SUFFIX "ov50")

#SET(CMAKE_BUILD_TYPE Debug)
SET(CMAKE_MACOSX_RPATH "ON")

set (CMAKE_CXX_STANDARD 11)

# Definitions
add_definitions (
-D_FILE_OFFSET_BITS=64
-D_LARGEFILE_SOURCE
-DLIBUNRAR_BUILD
-DRARDLL
-DUNRAR
-DSILENT
)

OPTION(IACFLEET_USE_SVG "Use SVG graphics" ON)

INCLUDE("cmake/PluginConfigure.cmake")

IF(IACFLEET_USE_SVG)
  ADD_DEFINITIONS(-DIACFLEET_USE_SVG)
ENDIF(IACFLEET_USE_SVG)

SET(SRC_IACFLEET
src/folder.xpm
src/iacfile.cpp
src/iacfile.h
src/iacfleet.cpp
src/iacfleet.h
src/iacfleet_pi.cpp
src/iacfleet_pi.h
src/TexFont.h
src/TexFont.cpp
src/icon.png
src/icons.cpp
src/icons.h
include/ocpn_plugin.h
        )

ADD_LIBRARY(${PACKAGE_NAME} SHARED ${SRC_IACFLEET})


INCLUDE("cmake/PluginInstall.cmake")
INCLUDE("cmake/PluginLocalization.cmake")
INCLUDE("cmake/PluginPackage.cmake")

=== debian/changelog ===
opencpn-plugin-iacfleet (0.20-0~1mx17+2) mx; urgency=medium

  * Set wxwidgets3 versions.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 17 Aug 2019 12:54:31 -0700

opencpn-plugin-iacfleet (0.20-0~1mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 07 Aug 2019 15:52:32 -0700

opencpn-plugin-iacfleet (0.20-0~1mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18.
  * Changed build type to quilt.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Wed, 07 Aug 2019 15:42:04 -0700

opencpn-plugin-iacfleet (0.20-0~201903130124~ubuntu16.04.1) xenial; urgency=low

  * Auto build.

 -- Pavel Kalian <pavel@kalian.cz>  Thu, 14 Mar 2019 00:47:06 +0000

opencpn-plugin-iacfleet (0.20-1) unstable; urgency=medium

  * Initial release for O5 using CI

 -- Pavel Kalian <pavel@kalian.cz>  Tue, 12 Mar 2019 09:01:17 -0300

=== debian/control ===
Source: opencpn-plugin-iacfleet
Section: misc
Priority: optional
Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
XSBC-Original-Maintainer: Pavel Kalian <pavel@kalian.cz>
Build-Depends: debhelper (>= 10), cmake, gettext, git-core, gpsd, gpsd-clients, libgps-dev, wx-common, libwxgtk3.0-dev (>= 3.0.2), libglu1-mesa-dev, libgtk2.0-dev, wx3.0-headers (>= 3.0.2), libbz2-dev, libtinyxml-dev, libportaudio2, portaudio19-dev, libcurl4-openssl-dev, libexpat1-dev, libcairo2-dev, libarchive-dev, liblzma-dev, libexif-dev, libelf-dev, libsqlite3-dev
Standards-Version: 4.1.2
Homepage: https://github.com/nohal/iacfleet_pi
#Vcs-Git: https://anonscm.debian.org/git/collab-maint/opencpn-plugin-iacfleet.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/opencpn-plugin-iacfleet.git

Package: opencpn-plugin-iacfleet
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, opencpn (>= 4.99.0)
Description: IAC Fleetcode plugin for OpenCPN
 Allows graphical display of IAC Fleetcode messages as chart overlay.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake


override_dh_strip:
	dh_strip --no-automatic-dbgsym
